> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an additional document

> Add a new additional document to the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml post /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/additional-documents
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/additional-documents:
    post:
      tags:
        - Additional documents
      summary: Create an additional document
      description: Add a new additional document to the specified vehicle
      operationId: addAdditionalDocument
      parameters:
        - name: assetProviderCountryCode
          in: path
          description: Asset provider country code
          required: true
          schema:
            type: string
            minLength: 2
            maxLength: 2
        - name: assetProviderCode
          in: path
          description: Asset provider code
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
        - name: vehicleId
          in: path
          description: Vehicle unique identifier
          required: true
          schema:
            type: string
      requestBody:
        description: Information about the additional document to be created
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdditionalDocumentRequest'
      responses:
        '200':
          description: The created additional document
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdditionalDocumentResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    AdditionalDocumentRequest:
      type: object
      required:
        - title
        - filetype
      properties:
        title:
          type: string
          example: Parking permit
          description: >-
            Title of the additional document, describing what the content of the
            blob is
        notes:
          type: string
          example: This parking permit is valid for parking lot at Parkway Drive 4
          description: Custom notes for this additional document
        filetype:
          type: string
          minLength: 1
    AdditionalDocumentResponse:
      type: object
      required:
        - id
        - title
        - created
      properties:
        id:
          type: string
          format: uuid
          description: Unique id of the document
        title:
          type: string
          example: Parking permit
          description: >-
            Title of the additional document, describing what the content of the
            blob is
        notes:
          type: string
          example: This parking permit is valid for parking lot at Parkway Drive 4
          description: Custom notes for this additional document
        created:
          type: string
          format: date-time
        blob:
          $ref: '#/components/schemas/Blob'
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````